﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using WpfApplication191.ViewModel;
using Infragistics.Controls.Menus;

namespace SilverlightApplication37
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void xamgrid1_CellControlAttached(object sender, Infragistics.Controls.Grids.CellControlAttachedEventArgs e)
        {

        }

        private void DragSource_DragStart(object sender, Infragistics.DragDrop.DragDropStartEventArgs e)
        {
            XamGrid xg = (XamGrid) e.DragSource;
            if (xg.ActiveItem != null)
            {
                if (xg.ActiveItem is Team)
                {
                    e.Data = xg.ActiveItem;
                }
                else e.Cancel = true;

            }
            else e.Cancel = true;
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            VM vm = Application.Current.Resources["vm"] as VM;
            Team t = e.Data as Team;
            vm.Teams.Remove(t);
            Grid g = e.DropTarget as Grid;
            XamDataTreeNodeDataContext xdtndc = g.DataContext as XamDataTreeNodeDataContext;

            League l =  xdtndc.Data 
                as League;
            l.Teams.Add(t);



            
            

        }
    }
}
